dbXML API

## com.dbxml.db.client.xmldb
Class XUpdateQueryServiceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.QueryServiceImpl
          com.dbxml.db.client.xmldb.XUpdateQueryServiceImpl

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Service, org.xmldb.api.modules.XUpdateQueryService

public final class XUpdateQueryServiceImpl
extends QueryServiceImpl
implements org.xmldb.api.modules.XUpdateQueryService

XUpdateQueryServiceImpl

Constructor Summary
`XUpdateQueryServiceImpl(CollectionImpl col)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getVersion()`
`long` `update(java.lang.String commands)`
`long` `updateResource(java.lang.String id, java.lang.String commands)`

Methods inherited from class com.dbxml.db.client.xmldb.QueryServiceImpl
`clearNamespaces, getNamespace, getProperty, removeNamespace, setCollection, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Service
`setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### XUpdateQueryServiceImpl

    public XUpdateQueryServiceImpl(CollectionImpl col)

Method Detail

### getName

    public java.lang.String getName()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getName` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getVersion

    public java.lang.String getVersion()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getVersion` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### update

    public long update(java.lang.String commands)
                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `update` in interface `org.xmldb.api.modules.XUpdateQueryService`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### updateResource

    public long updateResource(java.lang.String id,
                               java.lang.String commands)
                        throws org.xmldb.api.base.XMLDBException

  Specified by:
    `updateResource` in interface `org.xmldb.api.modules.XUpdateQueryService`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group